Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.jms.client
Class Publisher

    java.lang.Object
      org.apache.jmeter.protocol.jms.client.Publisher

public class Publisher
extends Object

Constructor Summary
`Publisher(boolean useProps, String jndi, String url, String connfactory, String topic, boolean useAuth, String user, String pwd)`

Method Summary
`void` | `close()` Clise will close the session
`void` | `initConnection(Context ctx, String connfactory, String topic)`
`Context` | `initJNDI(boolean useProps, String jndi, String url, boolean useAuth, String user, String pwd)`
`void` | `publish(Serializable contents)`
`void` | `publish(String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Publisher

    public Publisher(boolean useProps,
                     String jndi,
                     String url,
                     String connfactory,
                     String topic,
                     boolean useAuth,
                     String user,
                     String pwd)

Method Detail

### initJNDI

    public Context initJNDI(boolean useProps,
                            String jndi,
                            String url,
                            boolean useAuth,
                            String user,
                            String pwd)

### initConnection

    public void initConnection(Context ctx,
                               String connfactory,
                               String topic)

### publish

    public void publish(String text)

### publish

    public void publish(Serializable contents)

### close

    public void close()

  Clise will close the session

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.